# Technical Documentation

## About Memgraph

Memgraph is an ACID compliant high performance transactional in-memory graph
database management system featuring highly concurrent
data structures, multi-version concurrency control and asynchronous IO.

[//]: # (When adding a new documentation file, please add it to the list)

## Contents

  * [About Memgraph](#about-memgraph)
  * [Quick Start](01_quick-start.md)
  * [Tutorials](tutorials/02_tutorials-overview.md)
    * [Analysing TED Talks](tutorials/03_analyzing-TED-talks.md)
    * [Graphing the Premier League](tutorials/04_graphing-the-premier-league.md)
    * [Exploring the European Road Network](tutorials/05_exploring-the-european-road-network.md)
  * [How to](how_to_guides/01_how-to-guides-overview.md)
    * [Import Data?](how_to_guides/02_import-data.md)
    * [Query Memgraph Programmatically?](how_to_guides/03_query-memgraph-programmatically.md)
    * [Ingest Data Using Kafka?](how_to_guides/04_ingest-data-using-kafka.md)
    * [Manage User Privileges?](how_to_guides/05_manage-user-privileges.md)
  * [Concepts](concepts/01_concepts_overview.md)
    * [Storage](concepts/02_storage.md)
    * [Graph Algorithms](concepts/03_graph-algorithms.md)
    * [Indexing](concepts/04_indexing.md)
  * [Reference Guide](reference_guide/01_reference-overview.md)
    * [Reading Existing Data](reference_guide/02_reading-existing-data.md)
    * [Writing New Data](reference_guide/03_writing-new-data.md)
    * [Reading and Writing](reference_guide/04_reading-and-writing.md)
    * [Indexing](reference_guide/05_indexing.md)
    * [Graph Algorithms](reference_guide/06_graph-algorithms.md)
    * [Graph Streams](reference_guide/07_graph-streams.md)
    * [Security](reference_guide/08_security.md)
    * [Dynamic Graph Partitioner](reference_guide/09_dynamic-graph-partitioner.md)
    * [Other Features](reference_guide/10_other-features.md)
    * [Differences](reference_guide/11_differences.md)
  * [Upcoming Features](upcoming-features.md)

[//]: # (Nothing should go below the contents section)
