## Reference Overview

[*openCypher*](http://www.opencypher.org/) is a query language for querying
graph databases. It aims to be intuitive and easy to learn, while
providing a powerful interface for working with graph based data.

*Memgraph* supports most of the commonly used constructs of the language. The
reference guide contains the details of implemented features. Additionally,
not yet supported features of the language are listed.

Our reference guide currently consists of the following articles:

  * [Reading Existing Data](02_reading-existing-data.md)
  * [Writing New Data](03_writing-new-data.md)
  * [Reading and Writing](04_reading-and-writing.md)
  * [Indexing](05_indexing.md)
  * [Graph Algorithms](06_graph-algorithms.md)
  * [Graph Streams](07_graph-streams.md)
  * [Security](08_security.md)
  * [Dynamic Graph Partitioner](09_dynamic-graph-partitioner.md)
  * [Other Features](10_other-features.md)
  * [Differences](11_differences.md)
